import { HistoryEditor } from 'slate-history/dist/history-editor';
import { ReactEditor } from 'slate-react';
import { SlatePluginsOptions } from '../types/SlatePluginOptions/SlatePluginsOptions';
import { SPEditor } from '../types/SPEditor';
/**
 * Slate editor with generic type (default is `ReactEditor & HistoryEditor & RandomKeyEditor`).
 */
export declare const useStoreEditor: <TEditor extends import("slate").BaseEditor = ReactEditor & HistoryEditor & SPEditor>(id?: string) => TEditor;
export declare const useStoreValue: (id?: string) => any[];
export declare const useStorePlugins: (id?: string) => import("..").SlatePlugin[];
export declare const useStorePluginKeys: (id?: string) => string[];
export declare const useStoreEditorOptions: (id?: string) => SlatePluginsOptions;
//# sourceMappingURL=useSlatePluginsSelectors.d.ts.map